# Core Blocks Reference

This page lists the blocks included in the block-library package.

-   Items marked with a strikeout (~~strikeout~~) are explicitly disabled.
-   Blocks marked with **Experimental:** true are only available when Gutenberg is active.
-   Blocks marked with **Experimental:** fse are only available in the Site Editor.

<!-- START TOKEN Autogenerated - DO NOT EDIT -->

## Archives

Display a date archive of your posts. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/archives))

-	**Name:** core/archives
-	**Category:** widgets
-	**Supports:** align, interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** displayAsDropdown, showLabel, showPostCounts, type

## Audio

Embed a simple audio player. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/audio))

-	**Name:** core/audio
-	**Category:** media
-	**Supports:** align, anchor, interactivity (clientNavigation), spacing (margin, padding)
-	**Attributes:** autoplay, blob, caption, id, loop, preload, src

## Avatar

Add a user’s avatar. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/avatar))

-	**Name:** core/avatar
-	**Category:** theme
-	**Supports:** align, color (~~background~~, ~~text~~), interactivity (clientNavigation), spacing (margin, padding), ~~alignWide~~, ~~html~~
-	**Attributes:** isLink, linkTarget, size, userId

## Pattern

Reuse this design across your site. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/block))

-	**Name:** core/block
-	**Category:** reusable
-	**Supports:** interactivity (clientNavigation), ~~customClassName~~, ~~html~~, ~~inserter~~, ~~renaming~~
-	**Attributes:** content, ref

## Button

Prompt visitors to take action with a button-style link. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/button))

-	**Name:** core/button
-	**Category:** design
-	**Parent:** core/buttons
-	**Supports:** anchor, color (background, gradients, text), interactivity (clientNavigation), shadow (), spacing (padding), splitting, typography (fontSize, lineHeight), ~~alignWide~~, ~~align~~, ~~reusable~~
-	**Attributes:** backgroundColor, gradient, linkTarget, placeholder, rel, tagName, text, textAlign, textColor, title, type, url, width

## Buttons

Prompt visitors to take action with a group of button-style links. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/buttons))

-	**Name:** core/buttons
-	**Category:** design
-	**Allowed Blocks:** core/button
-	**Supports:** align (full, wide), anchor, interactivity (clientNavigation), layout (default, ~~allowInheriting~~, ~~allowSwitching~~), spacing (blockGap, margin), typography (fontSize, lineHeight), ~~html~~

## Calendar

A calendar of your site’s posts. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/calendar))

-	**Name:** core/calendar
-	**Category:** widgets
-	**Supports:** align, color (background, link, text), interactivity (clientNavigation), typography (fontSize, lineHeight)
-	**Attributes:** month, year

## Categories List

Display a list of all categories. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/categories))

-	**Name:** core/categories
-	**Category:** widgets
-	**Supports:** align, interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** displayAsDropdown, showEmpty, showHierarchy, showOnlyTopLevel, showPostCounts

## Code

Display code snippets that respect your spacing and tabs. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/code))

-	**Name:** core/code
-	**Category:** text
-	**Supports:** align (wide), anchor, color (background, gradients, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight)
-	**Attributes:** content

## Column

A single column within a columns block. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/column))

-	**Name:** core/column
-	**Category:** design
-	**Parent:** core/columns
-	**Supports:** anchor, color (background, button, gradients, heading, link, text), interactivity (clientNavigation), layout, shadow, spacing (blockGap, padding), typography (fontSize, lineHeight), ~~html~~, ~~reusable~~
-	**Attributes:** allowedBlocks, templateLock, verticalAlignment, width

## Columns

Display content in multiple columns, with blocks added to each column. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/columns))

-	**Name:** core/columns
-	**Category:** design
-	**Allowed Blocks:** core/column
-	**Supports:** align (full, wide), anchor, color (background, button, gradients, heading, link, text), interactivity (clientNavigation), layout (default, ~~allowEditing~~, ~~allowInheriting~~, ~~allowSwitching~~), shadow, spacing (blockGap, margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** isStackedOnMobile, templateLock, verticalAlignment

## Comment Author Avatar (deprecated)

This block is deprecated. Please use the Avatar block instead. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/comment-author-avatar))

-	**Name:** core/comment-author-avatar
-	**Experimental:** fse
-	**Category:** theme
-	**Ancestor:** core/comment-template
-	**Supports:** color (background, ~~text~~), interactivity (clientNavigation), spacing (margin, padding), ~~html~~, ~~inserter~~
-	**Attributes:** height, width

## Comment Author Name

Displays the name of the author of the comment. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/comment-author-name))

-	**Name:** core/comment-author-name
-	**Category:** theme
-	**Ancestor:** core/comment-template
-	**Supports:** color (background, gradients, link, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** isLink, linkTarget, textAlign

## Comment Content

Displays the contents of a comment. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/comment-content))

-	**Name:** core/comment-content
-	**Category:** theme
-	**Ancestor:** core/comment-template
-	**Supports:** color (background, gradients, link, text), spacing (padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** textAlign

## Comment Date

Displays the date on which the comment was posted. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/comment-date))

-	**Name:** core/comment-date
-	**Category:** theme
-	**Ancestor:** core/comment-template
-	**Supports:** color (background, gradients, link, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** format, isLink

## Comment Edit Link

Displays a link to edit the comment in the WordPress Dashboard. This link is only visible to users with the edit comment capability. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/comment-edit-link))

-	**Name:** core/comment-edit-link
-	**Category:** theme
-	**Ancestor:** core/comment-template
-	**Supports:** color (background, gradients, link, ~~text~~), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** linkTarget, textAlign

## Comment Reply Link

Displays a link to reply to a comment. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/comment-reply-link))

-	**Name:** core/comment-reply-link
-	**Category:** theme
-	**Ancestor:** core/comment-template
-	**Supports:** color (background, gradients, link, ~~text~~), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** textAlign

## Comment Template

Contains the block elements used to display a comment, like the title, date, author, avatar and more. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/comment-template))

-	**Name:** core/comment-template
-	**Category:** design
-	**Parent:** core/comments
-	**Supports:** align, interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~, ~~reusable~~

## Comments

An advanced block that allows displaying post comments using different visual configurations. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/comments))

-	**Name:** core/comments
-	**Category:** theme
-	**Supports:** align (full, wide), color (background, gradients, heading, link, text), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** legacy, tagName

## Comments Pagination

Displays a paginated navigation to next/previous set of comments, when applicable. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/comments-pagination))

-	**Name:** core/comments-pagination
-	**Category:** theme
-	**Parent:** core/comments
-	**Allowed Blocks:** core/comments-pagination-previous, core/comments-pagination-numbers, core/comments-pagination-next
-	**Supports:** align, color (background, gradients, link, text), interactivity (clientNavigation), layout (default, ~~allowInheriting~~, ~~allowSwitching~~), typography (fontSize, lineHeight), ~~html~~, ~~reusable~~
-	**Attributes:** paginationArrow

## Comments Next Page

Displays the next comment's page link. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/comments-pagination-next))

-	**Name:** core/comments-pagination-next
-	**Category:** theme
-	**Parent:** core/comments-pagination
-	**Supports:** color (background, gradients, ~~text~~), interactivity (clientNavigation), typography (fontSize, lineHeight), ~~html~~, ~~reusable~~
-	**Attributes:** label

## Comments Page Numbers

Displays a list of page numbers for comments pagination. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/comments-pagination-numbers))

-	**Name:** core/comments-pagination-numbers
-	**Category:** theme
-	**Parent:** core/comments-pagination
-	**Supports:** color (background, gradients, ~~text~~), interactivity (clientNavigation), typography (fontSize, lineHeight), ~~html~~, ~~reusable~~

## Comments Previous Page

Displays the previous comment's page link. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/comments-pagination-previous))

-	**Name:** core/comments-pagination-previous
-	**Category:** theme
-	**Parent:** core/comments-pagination
-	**Supports:** color (background, gradients, ~~text~~), interactivity (clientNavigation), typography (fontSize, lineHeight), ~~html~~, ~~reusable~~
-	**Attributes:** label

## Comments Title

Displays a title with the number of comments. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/comments-title))

-	**Name:** core/comments-title
-	**Category:** theme
-	**Ancestor:** core/comments
-	**Supports:** align, color (background, gradients, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~anchor~~, ~~html~~
-	**Attributes:** level, showCommentsCount, showPostTitle, textAlign

## Cover

Add an image or video with a text overlay. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/cover))

-	**Name:** core/cover
-	**Category:** media
-	**Supports:** align, anchor, color (heading, text, ~~background~~, ~~enableContrastChecker~~), dimensions (aspectRatio), interactivity (clientNavigation), layout (~~allowJustification~~), shadow, spacing (blockGap, margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** allowedBlocks, alt, backgroundType, contentPosition, customGradient, customOverlayColor, dimRatio, focalPoint, gradient, hasParallax, id, isDark, isRepeated, isUserOverlayColor, minHeight, minHeightUnit, overlayColor, tagName, templateLock, url, useFeaturedImage

## Details

Hide and show additional content. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/details))

-	**Name:** core/details
-	**Category:** text
-	**Supports:** align (full, wide), color (background, gradients, link, text), interactivity (clientNavigation), layout (~~allowEditing~~), spacing (blockGap, margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** showContent, summary

## Embed

Add a block that displays content pulled from other sites, like Twitter or YouTube. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/embed))

-	**Name:** core/embed
-	**Category:** embed
-	**Supports:** align, interactivity (clientNavigation), spacing (margin)
-	**Attributes:** allowResponsive, caption, previewable, providerNameSlug, responsive, type, url

## File

Add a link to a downloadable file. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/file))

-	**Name:** core/file
-	**Category:** media
-	**Supports:** align, anchor, color (background, gradients, link, ~~text~~), interactivity, spacing (margin, padding)
-	**Attributes:** blob, displayPreview, downloadButtonText, fileId, fileName, href, id, previewHeight, showDownloadButton, textLinkHref, textLinkTarget

## Footnotes

Display footnotes added to the page. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/footnotes))

-	**Name:** core/footnotes
-	**Category:** text
-	**Supports:** color (background, link, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~, ~~inserter~~, ~~multiple~~, ~~reusable~~

## Form

A form. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/form))

-	**Name:** core/form
-	**Experimental:** true
-	**Category:** common
-	**Allowed Blocks:** core/paragraph, core/heading, core/form-input, core/form-submit-button, core/form-submission-notification, core/group, core/columns
-	**Supports:** anchor, color (background, gradients, link, text), spacing (margin, padding), typography (fontSize, lineHeight), ~~className~~
-	**Attributes:** action, email, method, submissionMethod

## Input Field

The basic building block for forms. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/form-input))

-	**Name:** core/form-input
-	**Experimental:** true
-	**Category:** common
-	**Ancestor:** core/form
-	**Supports:** anchor, spacing (margin), ~~reusable~~
-	**Attributes:** inlineLabel, label, name, placeholder, required, type, value, visibilityPermissions

## Form Submission Notification

Provide a notification message after the form has been submitted. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/form-submission-notification))

-	**Name:** core/form-submission-notification
-	**Experimental:** true
-	**Category:** common
-	**Ancestor:** core/form
-	**Attributes:** type

## Form Submit Button

A submission button for forms. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/form-submit-button))

-	**Name:** core/form-submit-button
-	**Experimental:** true
-	**Category:** common
-	**Ancestor:** core/form
-	**Allowed Blocks:** core/buttons, core/button

## Classic

Use the classic WordPress editor. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/freeform))

-	**Name:** core/freeform
-	**Category:** text
-	**Supports:** ~~className~~, ~~customClassName~~, ~~reusable~~
-	**Attributes:** content

## Gallery

Display multiple images in a rich gallery. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/gallery))

-	**Name:** core/gallery
-	**Category:** media
-	**Allowed Blocks:** core/image
-	**Supports:** align, anchor, color (background, gradients, ~~text~~), interactivity (clientNavigation), layout (default, ~~allowEditing~~, ~~allowInheriting~~, ~~allowSwitching~~), spacing (blockGap, margin, padding), units (em, px, rem, vh, vw), ~~html~~
-	**Attributes:** allowResize, caption, columns, fixedHeight, ids, imageCrop, images, linkTarget, linkTo, randomOrder, shortCodeTransforms, sizeSlug

## Group

Gather blocks in a layout container. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/group))

-	**Name:** core/group
-	**Category:** design
-	**Supports:** align (full, wide), anchor, ariaLabel, background (backgroundImage, backgroundSize), color (background, button, gradients, heading, link, text), dimensions (minHeight), interactivity (clientNavigation), layout (allowSizingOnChildren), position (sticky), shadow, spacing (blockGap, margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** allowedBlocks, tagName, templateLock

## Heading

Introduce new sections and organize content to help visitors (and search engines) understand the structure of your content. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/heading))

-	**Name:** core/heading
-	**Category:** text
-	**Supports:** __unstablePasteTextInline, align (full, wide), anchor, className, color (background, gradients, link, text), interactivity (clientNavigation), spacing (margin, padding), splitting, typography (fontSize, lineHeight)
-	**Attributes:** content, level, placeholder, textAlign

## Home Link

Create a link that always points to the homepage of the site. Usually not necessary if there is already a site title link present in the header. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/home-link))

-	**Name:** core/home-link
-	**Category:** design
-	**Parent:** core/navigation
-	**Supports:** interactivity (clientNavigation), typography (fontSize, lineHeight), ~~html~~, ~~reusable~~
-	**Attributes:** label

## Custom HTML

Add custom HTML code and preview it as you edit. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/html))

-	**Name:** core/html
-	**Category:** widgets
-	**Supports:** interactivity (clientNavigation), ~~className~~, ~~customClassName~~, ~~html~~
-	**Attributes:** content

## Image

Insert an image to make a visual statement. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/image))

-	**Name:** core/image
-	**Category:** media
-	**Supports:** align (center, full, left, right, wide), anchor, color (~~background~~, ~~text~~), filter (duotone), interactivity, shadow ()
-	**Attributes:** alt, aspectRatio, blob, caption, height, href, id, lightbox, linkClass, linkDestination, linkTarget, rel, scale, sizeSlug, title, url, width

## Latest Comments

Display a list of your most recent comments. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/latest-comments))

-	**Name:** core/latest-comments
-	**Category:** widgets
-	**Supports:** align, interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** commentsToShow, displayAvatar, displayDate, displayExcerpt

## Latest Posts

Display a list of your most recent posts. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/latest-posts))

-	**Name:** core/latest-posts
-	**Category:** widgets
-	**Supports:** align, color (background, gradients, link, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** addLinkToFeaturedImage, categories, columns, displayAuthor, displayFeaturedImage, displayPostContent, displayPostContentRadio, displayPostDate, excerptLength, featuredImageAlign, featuredImageSizeHeight, featuredImageSizeSlug, featuredImageSizeWidth, order, orderBy, postLayout, postsToShow, selectedAuthor

## List

Create a bulleted or numbered list. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/list))

-	**Name:** core/list
-	**Category:** text
-	**Allowed Blocks:** core/list-item
-	**Supports:** __unstablePasteTextInline, anchor, color (background, gradients, link, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** ordered, placeholder, reversed, start, type, values

## List item

Create a list item. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/list-item))

-	**Name:** core/list-item
-	**Category:** text
-	**Parent:** core/list
-	**Allowed Blocks:** core/list
-	**Supports:** color (background, gradients, link, text), interactivity (clientNavigation), spacing (margin, padding), splitting, typography (fontSize, lineHeight), ~~className~~
-	**Attributes:** content, placeholder

## Login/out

Show login & logout links. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/loginout))

-	**Name:** core/loginout
-	**Category:** theme
-	**Supports:** className, interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight)
-	**Attributes:** displayLoginAsForm, redirectToCurrent

## Media & Text

Set media and words side-by-side for a richer layout. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/media-text))

-	**Name:** core/media-text
-	**Category:** media
-	**Supports:** align (full, wide), anchor, color (background, gradients, heading, link, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** align, allowedBlocks, focalPoint, href, imageFill, isStackedOnMobile, linkClass, linkDestination, linkTarget, mediaAlt, mediaId, mediaLink, mediaPosition, mediaSizeSlug, mediaType, mediaUrl, mediaWidth, rel, useFeaturedImage, verticalAlignment

## Unsupported

Your site doesn’t include support for this block. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/missing))

-	**Name:** core/missing
-	**Category:** text
-	**Supports:** interactivity (clientNavigation), ~~className~~, ~~customClassName~~, ~~html~~, ~~inserter~~, ~~reusable~~
-	**Attributes:** originalContent, originalName, originalUndelimitedContent

## More

Content before this block will be shown in the excerpt on your archives page. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/more))

-	**Name:** core/more
-	**Category:** design
-	**Supports:** interactivity (clientNavigation), ~~className~~, ~~customClassName~~, ~~html~~, ~~multiple~~
-	**Attributes:** customText, noTeaser

## Navigation

A collection of blocks that allow visitors to get around your site. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/navigation))

-	**Name:** core/navigation
-	**Category:** theme
-	**Allowed Blocks:** core/navigation-link, core/search, core/social-links, core/page-list, core/spacer, core/home-link, core/site-title, core/site-logo, core/navigation-submenu, core/loginout, core/buttons
-	**Supports:** align (full, wide), ariaLabel, inserter, interactivity, layout (allowSizingOnChildren, default, ~~allowInheriting~~, ~~allowSwitching~~, ~~allowVerticalAlignment~~), spacing (blockGap, units), typography (fontSize, lineHeight), ~~html~~, ~~renaming~~
-	**Attributes:** __unstableLocation, backgroundColor, customBackgroundColor, customOverlayBackgroundColor, customOverlayTextColor, customTextColor, hasIcon, icon, maxNestingLevel, openSubmenusOnClick, overlayBackgroundColor, overlayMenu, overlayTextColor, ref, rgbBackgroundColor, rgbTextColor, showSubmenuIcon, templateLock, textColor

## Custom Link

Add a page, link, or another item to your navigation. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/navigation-link))

-	**Name:** core/navigation-link
-	**Category:** design
-	**Parent:** core/navigation
-	**Allowed Blocks:** core/navigation-link, core/navigation-submenu, core/page-list
-	**Supports:** interactivity (clientNavigation), typography (fontSize, lineHeight), ~~html~~, ~~renaming~~, ~~reusable~~
-	**Attributes:** description, id, isTopLevelLink, kind, label, opensInNewTab, rel, title, type, url

## Submenu

Add a submenu to your navigation. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/navigation-submenu))

-	**Name:** core/navigation-submenu
-	**Category:** design
-	**Parent:** core/navigation
-	**Supports:** interactivity (clientNavigation), ~~html~~, ~~reusable~~
-	**Attributes:** description, id, isTopLevelItem, kind, label, opensInNewTab, rel, title, type, url

## Page Break

Separate your content into a multi-page experience. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/nextpage))

-	**Name:** core/nextpage
-	**Category:** design
-	**Parent:** core/post-content
-	**Supports:** interactivity (clientNavigation), ~~className~~, ~~customClassName~~, ~~html~~

## Page List

Display a list of all pages. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/page-list))

-	**Name:** core/page-list
-	**Category:** widgets
-	**Allowed Blocks:** core/page-list-item
-	**Supports:** interactivity (clientNavigation), typography (fontSize, lineHeight), ~~html~~, ~~reusable~~
-	**Attributes:** isNested, parentPageID

## Page List Item

Displays a page inside a list of all pages. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/page-list-item))

-	**Name:** core/page-list-item
-	**Category:** widgets
-	**Parent:** core/page-list
-	**Supports:** interactivity (clientNavigation), ~~html~~, ~~inserter~~, ~~lock~~, ~~reusable~~
-	**Attributes:** hasChildren, id, label, link, title

## Paragraph

Start with the basic building block of all narrative. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/paragraph))

-	**Name:** core/paragraph
-	**Category:** text
-	**Supports:** __unstablePasteTextInline, anchor, color (background, gradients, link, text), interactivity (clientNavigation), spacing (margin, padding), splitting, typography (fontSize, lineHeight), ~~className~~
-	**Attributes:** align, content, direction, dropCap, placeholder

## Pattern placeholder

Show a block pattern. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/pattern))

-	**Name:** core/pattern
-	**Category:** theme
-	**Supports:** interactivity (clientNavigation), ~~html~~, ~~inserter~~, ~~renaming~~
-	**Attributes:** slug

## Author

Display post author details such as name, avatar, and bio. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/post-author))

-	**Name:** core/post-author
-	**Category:** theme
-	**Supports:** color (background, gradients, link, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** avatarSize, byline, isLink, linkTarget, showAvatar, showBio, textAlign

## Author Biography

The author biography. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/post-author-biography))

-	**Name:** core/post-author-biography
-	**Category:** theme
-	**Supports:** color (background, gradients, link, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight)
-	**Attributes:** textAlign

## Author Name

The author name. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/post-author-name))

-	**Name:** core/post-author-name
-	**Category:** theme
-	**Supports:** color (background, gradients, link, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** isLink, linkTarget, textAlign

## Comment (deprecated)

This block is deprecated. Please use the Comments block instead. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/post-comment))

-	**Name:** core/post-comment
-	**Experimental:** fse
-	**Category:** theme
-	**Allowed Blocks:** core/avatar, core/comment-author-name, core/comment-content, core/comment-date, core/comment-edit-link, core/comment-reply-link
-	**Supports:** interactivity (clientNavigation), ~~html~~, ~~inserter~~
-	**Attributes:** commentId

## Comments Count

Display a post's comments count. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/post-comments-count))

-	**Name:** core/post-comments-count
-	**Experimental:** fse
-	**Category:** theme
-	**Supports:** color (background, gradients, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** textAlign

## Comments Form

Display a post's comments form. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/post-comments-form))

-	**Name:** core/post-comments-form
-	**Category:** theme
-	**Supports:** color (background, gradients, heading, link, text), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** textAlign

## Comments Link

Displays the link to the current post comments. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/post-comments-link))

-	**Name:** core/post-comments-link
-	**Experimental:** fse
-	**Category:** theme
-	**Supports:** color (background, link, ~~text~~), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** textAlign

## Content

Displays the contents of a post or page. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/post-content))

-	**Name:** core/post-content
-	**Category:** theme
-	**Supports:** align (full, wide), background (backgroundImage, backgroundSize), color (background, gradients, link, text), dimensions (minHeight), layout, spacing (blockGap, padding), typography (fontSize, lineHeight), ~~html~~

## Date

Display the publish date for an entry such as a post or page. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/post-date))

-	**Name:** core/post-date
-	**Category:** theme
-	**Supports:** color (background, gradients, link, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** displayType, format, isLink, textAlign

## Excerpt

Display the excerpt. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/post-excerpt))

-	**Name:** core/post-excerpt
-	**Category:** theme
-	**Supports:** color (background, gradients, link, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** excerptLength, moreText, showMoreOnNewLine, textAlign

## Featured Image

Display a post's featured image. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/post-featured-image))

-	**Name:** core/post-featured-image
-	**Category:** theme
-	**Supports:** align (center, full, left, right, wide), color (~~background~~, ~~text~~), filter (duotone), interactivity (clientNavigation), shadow (), spacing (margin, padding), ~~html~~
-	**Attributes:** aspectRatio, customGradient, customOverlayColor, dimRatio, gradient, height, isLink, linkTarget, overlayColor, rel, scale, sizeSlug, useFirstImageFromPost, width

## Post Navigation Link

Displays the next or previous post link that is adjacent to the current post. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/post-navigation-link))

-	**Name:** core/post-navigation-link
-	**Category:** theme
-	**Supports:** color (background, link, text), interactivity (clientNavigation), typography (fontSize, lineHeight), ~~html~~, ~~reusable~~
-	**Attributes:** arrow, label, linkLabel, showTitle, taxonomy, textAlign, type

## Post Template

Contains the block elements used to render a post, like the title, date, featured image, content or excerpt, and more. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/post-template))

-	**Name:** core/post-template
-	**Category:** theme
-	**Parent:** core/query
-	**Supports:** align (full, wide), color (background, gradients, link, text), interactivity (clientNavigation), layout, spacing (blockGap), typography (fontSize, lineHeight), ~~html~~, ~~reusable~~

## Post Terms

Post terms. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/post-terms))

-	**Name:** core/post-terms
-	**Category:** theme
-	**Supports:** color (background, gradients, link, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** prefix, separator, suffix, term, textAlign

## Time To Read

Show minutes required to finish reading the post. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/post-time-to-read))

-	**Name:** core/post-time-to-read
-	**Experimental:** true
-	**Category:** theme
-	**Supports:** color (background, gradients, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** textAlign

## Title

Displays the title of a post, page, or any other content-type. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/post-title))

-	**Name:** core/post-title
-	**Category:** theme
-	**Supports:** align (full, wide), color (background, gradients, link, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** isLink, level, linkTarget, rel, textAlign

## Preformatted

Add text that respects your spacing and tabs, and also allows styling. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/preformatted))

-	**Name:** core/preformatted
-	**Category:** text
-	**Supports:** anchor, color (background, gradients, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight)
-	**Attributes:** content

## Pullquote

Give special visual emphasis to a quote from your text. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/pullquote))

-	**Name:** core/pullquote
-	**Category:** text
-	**Supports:** align (full, left, right, wide), anchor, background (backgroundImage, backgroundSize), color (background, gradients, link, text), dimensions (minHeight), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight)
-	**Attributes:** citation, textAlign, value

## Query Loop

An advanced block that allows displaying post types based on different query parameters and visual configurations. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/query))

-	**Name:** core/query
-	**Category:** theme
-	**Supports:** align (full, wide), interactivity, layout, ~~html~~
-	**Attributes:** enhancedPagination, namespace, query, queryId, tagName

## No results

Contains the block elements used to render content when no query results are found. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/query-no-results))

-	**Name:** core/query-no-results
-	**Category:** theme
-	**Parent:** core/query
-	**Supports:** align, color (background, gradients, link, text), interactivity (clientNavigation), typography (fontSize, lineHeight), ~~html~~, ~~reusable~~

## Pagination

Displays a paginated navigation to next/previous set of posts, when applicable. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/query-pagination))

-	**Name:** core/query-pagination
-	**Category:** theme
-	**Ancestor:** core/query
-	**Allowed Blocks:** core/query-pagination-previous, core/query-pagination-numbers, core/query-pagination-next
-	**Supports:** align, color (background, gradients, link, text), interactivity (clientNavigation), layout (default, ~~allowInheriting~~, ~~allowSwitching~~), typography (fontSize, lineHeight), ~~html~~, ~~reusable~~
-	**Attributes:** paginationArrow, showLabel

## Next Page

Displays the next posts page link. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/query-pagination-next))

-	**Name:** core/query-pagination-next
-	**Category:** theme
-	**Parent:** core/query-pagination
-	**Supports:** color (background, gradients, ~~text~~), interactivity (clientNavigation), typography (fontSize, lineHeight), ~~html~~, ~~reusable~~
-	**Attributes:** label

## Page Numbers

Displays a list of page numbers for pagination. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/query-pagination-numbers))

-	**Name:** core/query-pagination-numbers
-	**Category:** theme
-	**Parent:** core/query-pagination
-	**Supports:** color (background, gradients, ~~text~~), interactivity (clientNavigation), typography (fontSize, lineHeight), ~~html~~, ~~reusable~~
-	**Attributes:** midSize

## Previous Page

Displays the previous posts page link. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/query-pagination-previous))

-	**Name:** core/query-pagination-previous
-	**Category:** theme
-	**Parent:** core/query-pagination
-	**Supports:** color (background, gradients, ~~text~~), interactivity (clientNavigation), typography (fontSize, lineHeight), ~~html~~, ~~reusable~~
-	**Attributes:** label

## Query Title

Display the query title. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/query-title))

-	**Name:** core/query-title
-	**Category:** theme
-	**Supports:** align (full, wide), color (background, gradients, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** level, showPrefix, showSearchTerm, textAlign, type

## Quote

Give quoted text visual emphasis. "In quoting others, we cite ourselves." — Julio Cortázar ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/quote))

-	**Name:** core/quote
-	**Category:** text
-	**Supports:** anchor, background (backgroundImage, backgroundSize), color (background, gradients, heading, link, text), dimensions (minHeight), interactivity (clientNavigation), layout (~~allowEditing~~), spacing (blockGap), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** citation, textAlign, value

## Read More

Displays the link of a post, page, or any other content-type. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/read-more))

-	**Name:** core/read-more
-	**Category:** theme
-	**Supports:** color (background, gradients, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** content, linkTarget

## RSS

Display entries from any RSS or Atom feed. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/rss))

-	**Name:** core/rss
-	**Category:** widgets
-	**Supports:** align, interactivity (clientNavigation), ~~html~~
-	**Attributes:** blockLayout, columns, displayAuthor, displayDate, displayExcerpt, excerptLength, feedURL, itemsToShow

## Search

Help visitors find your content. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/search))

-	**Name:** core/search
-	**Category:** widgets
-	**Supports:** align (center, left, right), color (background, gradients, text), interactivity, typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** buttonPosition, buttonText, buttonUseIcon, isSearchFieldHidden, label, placeholder, query, showLabel, width, widthUnit

## Separator

Create a break between ideas or sections with a horizontal separator. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/separator))

-	**Name:** core/separator
-	**Category:** design
-	**Supports:** align (center, full, wide), anchor, color (background, gradients, ~~enableContrastChecker~~, ~~text~~), interactivity (clientNavigation), spacing (margin)
-	**Attributes:** opacity

## Shortcode

Insert additional custom elements with a WordPress shortcode. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/shortcode))

-	**Name:** core/shortcode
-	**Category:** widgets
-	**Supports:** ~~className~~, ~~customClassName~~, ~~html~~
-	**Attributes:** text

## Site Logo

Display an image to represent this site. Update this block and the changes apply everywhere. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/site-logo))

-	**Name:** core/site-logo
-	**Category:** theme
-	**Supports:** align, color (~~background~~, ~~text~~), interactivity (clientNavigation), spacing (margin, padding), ~~alignWide~~, ~~html~~
-	**Attributes:** isLink, linkTarget, shouldSyncIcon, width

## Site Tagline

Describe in a few words what the site is about. The tagline can be used in search results or when sharing on social networks even if it’s not displayed in the theme design. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/site-tagline))

-	**Name:** core/site-tagline
-	**Category:** theme
-	**Supports:** align (full, wide), color (background, gradients, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** level, textAlign

## Site Title

Displays the name of this site. Update the block, and the changes apply everywhere it’s used. This will also appear in the browser title bar and in search results. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/site-title))

-	**Name:** core/site-title
-	**Category:** theme
-	**Supports:** align (full, wide), color (background, gradients, link, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** isLink, level, linkTarget, textAlign

## Social Icon

Display an icon linking to a social profile or site. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/social-link))

-	**Name:** core/social-link
-	**Category:** widgets
-	**Parent:** core/social-links
-	**Supports:** interactivity (clientNavigation), ~~html~~, ~~reusable~~
-	**Attributes:** label, rel, service, url

## Social Icons

Display icons linking to your social profiles or sites. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/social-links))

-	**Name:** core/social-links
-	**Category:** widgets
-	**Allowed Blocks:** core/social-link
-	**Supports:** align (center, left, right), anchor, color (background, gradients, ~~enableContrastChecker~~, ~~text~~), interactivity (clientNavigation), layout (default, ~~allowInheriting~~, ~~allowSwitching~~, ~~allowVerticalAlignment~~), spacing (blockGap, margin, padding, units)
-	**Attributes:** customIconBackgroundColor, customIconColor, iconBackgroundColor, iconBackgroundColorValue, iconColor, iconColorValue, openInNewTab, showLabels, size

## Spacer

Add white space between blocks and customize its height. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/spacer))

-	**Name:** core/spacer
-	**Category:** design
-	**Supports:** anchor, interactivity (clientNavigation), spacing (margin)
-	**Attributes:** height, width

## Table

Create structured content in rows and columns to display information. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/table))

-	**Name:** core/table
-	**Category:** text
-	**Supports:** align, anchor, color (background, gradients, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight)
-	**Attributes:** body, caption, foot, hasFixedLayout, head

## Table of Contents

Summarize your post with a list of headings. Add HTML anchors to Heading blocks to link them here. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/table-of-contents))

-	**Name:** core/table-of-contents
-	**Experimental:** true
-	**Category:** design
-	**Supports:** color (background, gradients, link, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** headings, onlyIncludeCurrentPage

## Tag Cloud

A cloud of your most used tags. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/tag-cloud))

-	**Name:** core/tag-cloud
-	**Category:** widgets
-	**Supports:** align, interactivity (clientNavigation), spacing (margin, padding), typography (lineHeight), ~~html~~
-	**Attributes:** largestFontSize, numberOfTags, showTagCounts, smallestFontSize, taxonomy

## Template Part

Edit the different global regions of your site, like the header, footer, sidebar, or create your own. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/template-part))

-	**Name:** core/template-part
-	**Category:** theme
-	**Supports:** align, interactivity (clientNavigation), ~~html~~, ~~renaming~~, ~~reusable~~
-	**Attributes:** area, slug, tagName, theme

## Term Description

Display the description of categories, tags and custom taxonomies when viewing an archive. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/term-description))

-	**Name:** core/term-description
-	**Category:** theme
-	**Supports:** align (full, wide), color (background, link, text), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight), ~~html~~
-	**Attributes:** textAlign

## Text Columns (deprecated)

This block is deprecated. Please use the Columns block instead. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/text-columns))

-	**Name:** core/text-columns
-	**Category:** design
-	**Supports:** interactivity (clientNavigation), ~~inserter~~
-	**Attributes:** columns, content, width

## Verse

Insert poetry. Use special spacing formats. Or quote song lyrics. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/verse))

-	**Name:** core/verse
-	**Category:** text
-	**Supports:** anchor, background (backgroundImage, backgroundSize), color (background, gradients, link, text), dimensions (minHeight), interactivity (clientNavigation), spacing (margin, padding), typography (fontSize, lineHeight)
-	**Attributes:** content, textAlign

## Video

Embed a video from your media library or upload a new one. ([Source](https://github.com/WordPress/gutenberg/tree/trunk/packages/block-library/src/video))

-	**Name:** core/video
-	**Category:** media
-	**Supports:** align, anchor, interactivity (clientNavigation), spacing (margin, padding)
-	**Attributes:** autoplay, blob, caption, controls, id, loop, muted, playsInline, poster, preload, src, tracks

<!-- END TOKEN Autogenerated - DO NOT EDIT -->
