# The Viewport Data

Namespace: `core/viewport`.

## Selectors

<!-- START TOKEN(Autogenerated selectors|../../../packages/viewport/src/store/selectors.js) -->

### isViewportMatch

Returns true if the viewport matches the given query, or false otherwise.

_Usage_

```js
import { store as viewportStore } from '@wordpress/viewport';
import { useSelect } from '@wordpress/data';
import { __ } from '@wordpress/i18n';
const ExampleComponent = () => {
	const isMobile = useSelect(
		( select ) => select( viewportStore ).isViewportMatch( '< small' ),
		[]
	);

	return isMobile ? (
		<div>{ __( 'Mobile' ) }</div>
	) : (
		<div>{ __( 'Not Mobile' ) }</div>
	);
};
```

_Parameters_

-   _state_ `Object`: Viewport state object.
-   _query_ `string`: Query string. Includes operator and breakpoint name, space separated. Operator defaults to >=.

_Returns_

-   `boolean`: Whether viewport matches query.

<!-- END TOKEN(Autogenerated selectors|../../../packages/viewport/src/store/selectors.js) -->

## Actions

The actions in this package shouldn't be used directly.

<!-- START TOKEN(Autogenerated actions|../../../packages/viewport/src/store/actions.js) -->

Nothing to document.

<!-- END TOKEN(Autogenerated actions|../../../packages/viewport/src/store/actions.js) -->
