# Available Styles Options

New styles options are integrated into theme.json on a regular basis. Knowing the style options available through theme.json or the styles editor at any given time can be challenging. To clarify, the table below indicates the WordPress version when each theme.json styles option became available and when a corresponding control was added to the user interface to allow management of the style from the Styles editor.

## Styles keys

| Key | theme.json Since| Style Editor Since |
| --- | :---: | :---: |
| `color.gradient`              | 5.8 | 5.9 |
| `color.background`            | 5.8 | 5.9 |
| `color.text`                  | 5.8 | 5.9 |
| `border.color`                | 5.9 | 5.9 |
| `border.width`                | 5.9 | 5.9 |
| `border.style`                | 5.9 | 5.9 |
| `border.radius`               | 5.8 | 5.9 |
| `border.radius.topLeft`       | 5.9 | 5.9 |
| `border.radius.topRight`      | 5.9 | 5.9 |
| `border.radius.bottomLeft`    | 5.9 | 5.9 |
| `border.radius.bottomRight`   | 5.9 | 5.9 |
| `border.top.color`            | 6.1 | 6.1 |
| `border.top.width`            | 6.1 | 6.1 |
| `border.top.style`            | 6.1 | 6.1 |
| `border.right.color`          | 6.1 | 6.1 |
| `border.right.width`          | 6.1 | 6.1 |
| `border.right.style`          | 6.1 | 6.1 |
| `border.bottom.color`         | 6.1 | 6.1 |
| `border.bottom.width`         | 6.1 | 6.1 |
| `border.bottom.style`         | 6.1 | 6.1 |
| `border.left.color`           | 6.1 | 6.1 |
| `border.left.width`           | 6.1 | 6.1 |
| `border.left.style`           | 6.1 | 6.1 |
| `typography.fontFamily`       | 5.9 | 5.9 |
| `typography.fontSize`         | 5.8 | 5.9 |
| `typography.fontStyle`        | 5.9 | 5.9 |
| `typography.fontWeight`       | 5.9 | 5.9 |
| `typography.letterSpacing`    | 5.9 | 5.9 |
| `typography.lineHeight`       | 5.8 | 5.9 |
| `typography.textDecoration`   | 5.9 | 6.2 |
| `typography.textTransform`    | 5.9 | 6.0 |
| `spacing.padding`             | 5.9 | 5.9 |
| `spacing.padding.top`         | 5.8 | 5.9 |
| `spacing.padding.right`       | 5.8 | 5.9 |
| `spacing.padding.left`        | 5.8 | 5.9 |
| `spacing.padding.bottom`      | 5.8 | 5.9 |
| `spacing.margin`              | 5.9 | 5.9 |
| `spacing.margin.top`          | 5.8 | 5.9 |
| `spacing.margin.right`        | 5.8 | 5.9 |
| `spacing.margin.left`         | 5.8 | 5.9 |
| `spacing.margin.bottom`       | 5.8 | 5.9 |
| `spacing.blockGap`            | 5.9 | 5.9 |
| `dimensions.minHeight`        | 6.2 | N/A |
| `outline.color`               | 6.2 | N/A |
| `outline.offset`              | 6.2 | N/A |
| `outline.style`               | 6.2 | N/A |
| `outline.width`               | 6.2 | N/A |
| `filter.duotone`              | 5.9 | N/A |
| `shadow`                      | 6.1 | 6.2 |
